Skip Menu |
 

This queue is for tickets about the Net-OAuth CPAN distribution.

Report information
The Basics
Id: 55635
Status: resolved
Priority: 0/
Queue: Net-OAuth

People
Owner: Nobody in particular
Requestors: REHSACK [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.22
Fixed in: (no value)



Subject: Incorrect dependencies
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Disposition: inline
Content-Transfer-Encoding: binary
X-RT-Original-Encoding: utf-8
Content-Length: 383
Download (untitled) / with headers
text/plain 383b
Hi Keith, during update the package of your module in pkgsrc I've seen that you have listed all dependencies as build_dependencies. This is wrong, when you depend on them on run time (what you do when you e.g. derive from them). Those are just depends => {}. Those which aren't necessary but recommended can be added using the recommended => {} of Module::Build. Best regards, Jens
MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Disposition: inline
Content-Type: text/plain; charset="UTF-8"
Message-ID: <rt-3.8.HEAD-12695-1268935245-1674.55635-0-0 [...] rt.cpan.org>
Content-Transfer-Encoding: binary
X-RT-Original-Encoding: utf-8
Content-Length: 13
Fixed in 0.23


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.